# Copyright (c) 2004 JaeHyuk Cho <mailto:minzkn@infoeq.com>
# All right reserved.

%.bin:
	@$(ECHO) -e "[\x1b[1;47mBI\x1b[0m] $^ => $@ (Binary link)"
	@$(LD) $(DEF_LDFLAGS_BINARY) -o $@ $^

LO_%.o:
	@$(ECHO) -e "[\x1b[1;36mLO\x1b[0m] $^ => $@ (Link object)"
	@$(LD) $(DEF_LDFLAGS_OBJECT) -o $@ $^

ANSI_%.o: %.c $(DEF_DEPEND_COMMON) 
	@$(ECHO) -e "[\x1b[1;34mCC\x1b[0m] $< => $@ (ANSI)"
	@$(CC) $(DEF_CFLAGS_ANSI) -o $@ $<

GNUC_%.o: %.c $(DEF_DEPEND_COMMON) 
	@$(ECHO) -e "[\x1b[1;34mCC\x1b[0m] $< => $@ (GNUC)"
	@$(CC) $(DEF_CFLAGS_GNUC) -o $@ $<

%.o: %.s
	@$(ECHO) -e "[\x1b[1;34mAS\x1b[0m] $< => $@ (ASSEMBLE)"
	@$(AS) -o $@ $<

# End of make 
