/* 
  Copyright (c) 2004 JaeHyuk Cho <mailto:minzkn@infoeq.com>
  All right reserved.
*/

/*
  x86 16bit code library (Copy boot)
*/

	cli
	xorw %ax, %ax
	movw %ax, %ss
	movw $(DEF_BOOT_SEG * 16), %sp /* %ss:%sp=$0x0000:$0x7c00 */
	pushw %cs
	popw %ds
	callw 0f
0:
	popw %si
	subw $(0b - L_Entry), %si
	movw $DEF_COPY_SEG_BOOT, %ax
	movw %ax, %es
	xorw %di, %di
	movw $(DEF_SECTOR_SIZE / 2), %cx
	cld
	repz movsw %ds:(%si), %es:(%di)
	movw %ax, %ds
	ljmp $DEF_COPY_SEG_BOOT, $0f
0:      /* OK! Moved boot sector code */

/* End of source */
