/*
 Copyright (c) 2002 Information Equipment co.,LTD.
 All Right Reserved.

 Code by JaeHyuk Cho <minzkn@infoeq.co.kr>
*/

#include <stdio.h>

#include "malloc_hook.h"

int main(int s_Argc, char *s_Argv[])
{
 void *s_Ptr;
 
 MZ_MALLOC_HOOK(); /* Install malloc hook */
 
 fprintf(stdout, "[1] %lu,%lu\n", (unsigned long)g_Malloc_Count, (unsigned long)g_Malloc_Size);
 s_Ptr = malloc(100);
 if(s_Ptr)
 {
  fprintf(stdout, "[2] %lu,%lu\n", (unsigned long)g_Malloc_Count, (unsigned long)g_Malloc_Size);
  free(s_Ptr);	 
 }
 else fprintf(stderr, "Can not allocate !\n"); 
 fprintf(stdout, "[3] %lu,%lu\n", (unsigned long)g_Malloc_Count, (unsigned long)g_Malloc_Size);
 return(0);
}

/* End of source */ 
