/* 
  Copyright (c) 2004 JaeHyuk Cho <mailto:minzkn@infoeq.com>
  All right reserved.
*/

/*
  x86 16bit code library (Print)
*/

/*
  - Interrupt $0x10
    + Function #0x0e : TTY print
      %ah=$0x0e
      %al=Video mode number
      %bh=Page number (Text mode)
      %bl=Charactor color (Graphics mode)
*/

P_Putc:                      /* void near16 P_Putc(%al) */
	movb $0x0e, %ah
	movw $0x0007, %bx
	int $0x10
	retw


P_Print:                     /* void near16 P_Print(%ds:%si) */
	cld
0:
	lodsb
	orb %al, %al
	jz 0f
	callw P_Putc
	jmp 0b
0:
	retw

P_PrintDigit:                /* void neat16 P_PrintDigit(%ax) */
	movw $10, %bx
	xorw %cx, %cx
0:
	xorw %dx, %dx
	divw %bx
	pushw %dx
	incw %cx
	orw %ax, %ax
	jnz 0b
0:
	popw %ax
	addb $'0', %al
	callw P_Putc
	loop 0b
	retw

/* End of source */
